%global pkg_name        HTTP-Parser
%global pkg_version     0.04
%global rpm_pkg_version 0.04
%global rpm_pkg_release 1.n0i.3

Summary:       Parse HTTP/1.1 request into HTTP::Request object
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       GPL+ or Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/D/DB/DBROBINS/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: rpm-build-reb00t-perl
%if %{!?_without_test:1}0
BuildRequires: perl(URI)
BuildRequires: perl(HTTP::Request)
BuildRequires: perl(HTTP::Response)
%endif


%description
This is an HTTP request parser. It takes chunks of text as received and
returns a 'hint' as to what is required, or returns the HTTP::Request when a
complete request has been read. HTTP/1.1 chunking is supported. It dies if it
finds an error.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Tue Nov 13 2007 Marius Feraru <altblue@n0i.net> - 0.04-1.n0i.3
- version 0.04

* Sat Jun 09 2007 Marius Feraru <altblue@n0i.net> - 0.03-1.n0i.2
- spec file (re)created using N0i::CPAN::RPMizer/1.14.8
- version 0.03

* Sun Apr 09 2006 Marius Feraru <altblue@n0i.net> 0.02-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer v1.12.0
- rebuild on perl 5.8.8
